Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs | Functions
generate.hpp File Reference

## Typedefs
template<typename O , typename F >
using | ranges::generate_result = detail::out_fun_result< O, F >

## Functions
template<typename O , typename S , typename F >
generate_result< O, F > | ranges::generate (O first, S last, F fun)
| function template `generate_n` More...
template<typename Rng , typename F >
generate_result< borrowed_iterator_t< Rng >, F > | ranges::generate (Rng &&rng, F fun)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...